rte_metric_value(3)

NAME
rte_metric_value

SYNOPSIS

#include <rte_metrics.h>

  Data Fields

uint16_t key
uint64_t value

Detailed Description

Metric value structure.

This structure is used by rte_metrics_get_values() to return metrics, which are statistics that are not generated by PMDs. It maps a name key, which corresponds to an index in the array returned by rte_metrics_get_names().

Definition at line 68 of file rte_metrics.h.

Field Documentation

  uint16_t key
Numeric identifier of metric.

Definition at line 70 of file rte_metrics.h.

  uint64_t value
Value for metric

Definition at line 72 of file rte_metrics.h.

Author

Generated automatically by Doxygen for DPDK from the source code.